Index: pjproject/trunk/pjsip/include/pjsua2/media.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/media.hpp	(revision 6025)
+++ pjproject/trunk/pjsip/include/pjsua2/media.hpp	(revision 6026)
@@ -240,5 +240,5 @@
     * Get information about the specified conference port.
     */
-    ConfPortInfo getPortInfo() const throw(Error);
+    ConfPortInfo getPortInfo() const PJSUA2_THROW(Error);
 
     /**
@@ -250,5 +250,5 @@
      * Get information from specific port id.
      */
-    static ConfPortInfo getPortInfoFromId(int port_id) throw(Error);
+    static ConfPortInfo getPortInfoFromId(int port_id) PJSUA2_THROW(Error);
 
     /**
@@ -265,5 +265,5 @@
      * @param sink		The destination Media.
      */
-    void startTransmit(const AudioMedia &sink) const throw(Error);
+    void startTransmit(const AudioMedia &sink) const PJSUA2_THROW(Error);
 
     /**
@@ -294,5 +294,5 @@
     void startTransmit2(const AudioMedia &sink, 
 			const AudioMediaTransmitParam &param) const
-         throw(Error);
+         PJSUA2_THROW(Error);
 
     /**
@@ -302,5 +302,5 @@
      *
      */
-    void stopTransmit(const AudioMedia &sink) const throw(Error);
+    void stopTransmit(const AudioMedia &sink) const PJSUA2_THROW(Error);
 
     /**
@@ -312,5 +312,5 @@
      *				the port.
      */
-    void adjustRxLevel(float level) throw(Error);
+    void adjustRxLevel(float level) PJSUA2_THROW(Error);
 
     /**
@@ -322,5 +322,5 @@
      *				the port.
      */
-    void adjustTxLevel(float level) throw(Error);
+    void adjustTxLevel(float level) PJSUA2_THROW(Error);
 
     /**
@@ -329,5 +329,5 @@
      * @return			Signal level in percent.
      */
-    unsigned getRxLevel() const throw(Error);
+    unsigned getRxLevel() const PJSUA2_THROW(Error);
 
     /**
@@ -336,5 +336,5 @@
      * @return			Signal level in percent.
      */
-    unsigned getTxLevel() const throw(Error);
+    unsigned getTxLevel() const PJSUA2_THROW(Error);
 
     /**
@@ -382,5 +382,5 @@
      *
      */
-    void registerMediaPort(MediaPort port) throw(Error);
+    void registerMediaPort(MediaPort port) PJSUA2_THROW(Error);
 
     /**
@@ -393,5 +393,6 @@
      *
      */
-    void registerMediaPort2(MediaPort port, pj_pool_t *pool) throw(Error);
+    void registerMediaPort2(MediaPort port, pj_pool_t *pool)
+			    PJSUA2_THROW(Error);
 
     /**
@@ -470,5 +471,5 @@
      */
     void createPlayer(const string &file_name,
-		      unsigned options=0) throw(Error);
+		      unsigned options=0) PJSUA2_THROW(Error);
 
     /**
@@ -485,5 +486,5 @@
     void createPlaylist(const StringVector &file_names,
 			const string &label="",
-			unsigned options=0) throw(Error);
+			unsigned options=0) PJSUA2_THROW(Error);
 
     /**
@@ -493,5 +494,5 @@
      * @return		the info.
      */
-    AudioMediaPlayerInfo getInfo() const throw(Error);
+    AudioMediaPlayerInfo getInfo() const PJSUA2_THROW(Error);
 
     /**
@@ -501,5 +502,5 @@
      * @return		   Current playback position, in samples.
      */
-    pj_uint32_t getPos() const throw(Error);
+    pj_uint32_t getPos() const PJSUA2_THROW(Error);
 
     /**
@@ -509,5 +510,5 @@
      * @param samples	   The desired playback position, in samples.
      */
-    void setPos(pj_uint32_t samples) throw(Error);
+    void setPos(pj_uint32_t samples) PJSUA2_THROW(Error);
 
     /**
@@ -597,5 +598,5 @@
 			unsigned enc_type=0,
 			long max_size=0,
-			unsigned options=0) throw(Error);
+			unsigned options=0) PJSUA2_THROW(Error);
 
     /**
@@ -697,5 +698,5 @@
      */
     void createToneGenerator(unsigned clock_rate = 16000,
-			     unsigned channel_count = 1) throw(Error);
+			     unsigned channel_count = 1) PJSUA2_THROW(Error);
 
     /**
@@ -708,5 +709,5 @@
      * Instruct the tone generator to stop current processing.
      */
-    void stop() throw(Error);
+    void stop() PJSUA2_THROW(Error);
 
     /**
@@ -714,5 +715,5 @@
      * tone in the playback list.
      */
-    void rewind() throw(Error);
+    void rewind() PJSUA2_THROW(Error);
 
     /**
@@ -727,5 +728,5 @@
      */
     void play(const ToneDescVector &tones,
-              bool loop=false) throw(Error);
+              bool loop=false) PJSUA2_THROW(Error);
 
     /**
@@ -741,5 +742,5 @@
      */
     void playDigits(const ToneDigitVector &digits,
-                    bool loop=false) throw(Error);
+                    bool loop=false) PJSUA2_THROW(Error);
 
     /**
@@ -748,5 +749,5 @@
      * @return		    The digitmap currently used by the tone generator
      */
-    ToneDigitMapVector getDigitMap() const throw(Error);
+    ToneDigitMapVector getDigitMap() const PJSUA2_THROW(Error);
 
     /**
@@ -755,5 +756,5 @@
      * @param digit_map	    Digitmap to be used by the tone generator.
      */
-    void setDigitMap(const ToneDigitMapVector &digit_map) throw(Error);
+    void setDigitMap(const ToneDigitMapVector &digit_map) PJSUA2_THROW(Error);
 
 private:
@@ -852,5 +853,5 @@
      * @return 			Device ID of the capture device.
      */
-    int getCaptureDev() const throw(Error);
+    int getCaptureDev() const PJSUA2_THROW(Error);
 
     /**
@@ -859,5 +860,5 @@
      * @return			Audio media for the capture device.
      */
-    AudioMedia &getCaptureDevMedia() throw(Error);
+    AudioMedia &getCaptureDevMedia() PJSUA2_THROW(Error);
 
     /**
@@ -867,5 +868,5 @@
      * @return 			Device ID of the playback device.
      */
-    int getPlaybackDev() const throw(Error);
+    int getPlaybackDev() const PJSUA2_THROW(Error);
 
     /**
@@ -874,5 +875,5 @@
      * @return			Audio media for the speaker/playback device.
      */
-    AudioMedia &getPlaybackDevMedia() throw(Error);
+    AudioMedia &getPlaybackDevMedia() PJSUA2_THROW(Error);
 
     /**
@@ -884,5 +885,5 @@
      * @param capture_dev   	Device ID of the capture device.
      */
-    void setCaptureDev(int capture_dev) const throw(Error);
+    void setCaptureDev(int capture_dev) const PJSUA2_THROW(Error);
 
     /**
@@ -894,5 +895,5 @@
      * @param playback_dev   	Device ID of the playback device.
      */
-    void setPlaybackDev(int playback_dev) const throw(Error);
+    void setPlaybackDev(int playback_dev) const PJSUA2_THROW(Error);
 
     /**
@@ -905,5 +906,5 @@
      * @return			The list of audio device info.
      */
-    const AudioDevInfoVector &enumDev() throw(Error);
+    const AudioDevInfoVector &enumDev() PJSUA2_THROW(Error);
 
     /**
@@ -912,5 +913,5 @@
      * @return			The list of audio device info.
      */
-    AudioDevInfoVector2 enumDev2() const throw(Error);
+    AudioDevInfoVector2 enumDev2() const PJSUA2_THROW(Error);
 
     /**
@@ -920,5 +921,5 @@
      *
      */
-    void setNullDev() throw(Error);
+    void setNullDev() PJSUA2_THROW(Error);
 
     /**
@@ -939,5 +940,5 @@
      *
      */
-    void setSndDevMode(unsigned mode) const throw(Error);
+    void setSndDevMode(unsigned mode) const PJSUA2_THROW(Error);
 
     /**
@@ -965,5 +966,5 @@
      *
      */
-    void setEcOptions(unsigned tail_msec, unsigned options) throw(Error);
+    void setEcOptions(unsigned tail_msec, unsigned options) PJSUA2_THROW(Error);
 
     /**
@@ -973,5 +974,5 @@
      *				If AEC is disabled, the value will be zero.
      */
-    unsigned getEcTail() const throw(Error);
+    unsigned getEcTail() const PJSUA2_THROW(Error);
 
     /**
@@ -992,5 +993,5 @@
      *
      */
-    void refreshDevs() throw(Error);
+    void refreshDevs() PJSUA2_THROW(Error);
 
     /**
@@ -1011,5 +1012,5 @@
      * 				by this method once it returns successfully.
      */
-    AudioDevInfo getDevInfo(int id) const throw(Error);
+    AudioDevInfo getDevInfo(int id) const PJSUA2_THROW(Error);
 
     /**
@@ -1023,5 +1024,5 @@
      */
     int lookupDev(const string &drv_name,
-		  const string &dev_name) const throw(Error);
+		  const string &dev_name) const PJSUA2_THROW(Error);
 
     /**
@@ -1053,6 +1054,6 @@
      *
      */
-    void
-    setExtFormat(const MediaFormatAudio &format, bool keep=true) throw(Error);
+    void setExtFormat(const MediaFormatAudio &format, bool keep=true)
+		      PJSUA2_THROW(Error);
 
     /**
@@ -1071,5 +1072,5 @@
      *
      */
-    MediaFormatAudio getExtFormat() const throw(Error);
+    MediaFormatAudio getExtFormat() const PJSUA2_THROW(Error);
 
     /**
@@ -1092,5 +1093,5 @@
      */
     void
-    setInputLatency(unsigned latency_msec, bool keep=true) throw(Error);
+    setInputLatency(unsigned latency_msec, bool keep=true) PJSUA2_THROW(Error);
 
     /**
@@ -1109,5 +1110,5 @@
      *
      */
-    unsigned getInputLatency() const throw(Error);
+    unsigned getInputLatency() const PJSUA2_THROW(Error);
 
     /**
@@ -1131,5 +1132,5 @@
      */
     void
-    setOutputLatency(unsigned latency_msec, bool keep=true) throw(Error);
+    setOutputLatency(unsigned latency_msec, bool keep=true) PJSUA2_THROW(Error);
 
     /**
@@ -1148,5 +1149,5 @@
      *
      */
-    unsigned getOutputLatency() const throw(Error);
+    unsigned getOutputLatency() const PJSUA2_THROW(Error);
 
     /**
@@ -1170,5 +1171,5 @@
      *
      */
-    void setInputVolume(unsigned volume, bool keep=true) throw(Error);
+    void setInputVolume(unsigned volume, bool keep=true) PJSUA2_THROW(Error);
 
     /**
@@ -1187,5 +1188,5 @@
      *
      */
-    unsigned getInputVolume() const throw(Error);
+    unsigned getInputVolume() const PJSUA2_THROW(Error);
 
     /**
@@ -1208,5 +1209,5 @@
      *
      */
-    void setOutputVolume(unsigned volume, bool keep=true) throw(Error);
+    void setOutputVolume(unsigned volume, bool keep=true) PJSUA2_THROW(Error);
 
     /**
@@ -1225,5 +1226,5 @@
      *
      */
-    unsigned getOutputVolume() const throw(Error);
+    unsigned getOutputVolume() const PJSUA2_THROW(Error);
 
     /**
@@ -1242,5 +1243,5 @@
      *
      */
-    unsigned getInputSignal() const throw(Error);
+    unsigned getInputSignal() const PJSUA2_THROW(Error);
 
     /**
@@ -1259,5 +1260,5 @@
      *
      */
-    unsigned getOutputSignal() const throw(Error);
+    unsigned getOutputSignal() const PJSUA2_THROW(Error);
 
     /**
@@ -1280,6 +1281,6 @@
      *
      */
-    void
-    setInputRoute(pjmedia_aud_dev_route route, bool keep=true) throw(Error);
+    void setInputRoute(pjmedia_aud_dev_route route, bool keep=true)
+		       PJSUA2_THROW(Error);
 
     /**
@@ -1298,5 +1299,5 @@
      *
      */
-    pjmedia_aud_dev_route getInputRoute() const throw(Error);
+    pjmedia_aud_dev_route getInputRoute() const PJSUA2_THROW(Error);
 
     /**
@@ -1319,6 +1320,6 @@
      *
      */
-    void
-    setOutputRoute(pjmedia_aud_dev_route route, bool keep=true) throw(Error);
+    void setOutputRoute(pjmedia_aud_dev_route route, bool keep=true)
+			PJSUA2_THROW(Error);
 
     /**
@@ -1337,5 +1338,5 @@
      *
      */
-    pjmedia_aud_dev_route getOutputRoute() const throw(Error);
+    pjmedia_aud_dev_route getOutputRoute() const PJSUA2_THROW(Error);
 
     /**
@@ -1358,5 +1359,5 @@
      *
      */
-    void setVad(bool enable, bool keep=true) throw(Error);
+    void setVad(bool enable, bool keep=true) PJSUA2_THROW(Error);
 
     /**
@@ -1374,5 +1375,5 @@
      *
      */
-    bool getVad() const throw(Error);
+    bool getVad() const PJSUA2_THROW(Error);
 
     /**
@@ -1395,5 +1396,5 @@
      *
      */
-    void setCng(bool enable, bool keep=true) throw(Error);
+    void setCng(bool enable, bool keep=true) PJSUA2_THROW(Error);
 
     /**
@@ -1411,5 +1412,5 @@
      *
      */
-    bool getCng() const throw(Error);
+    bool getCng() const PJSUA2_THROW(Error);
 
     /**
@@ -1432,5 +1433,5 @@
      *
      */
-    void setPlc(bool enable, bool keep=true) throw(Error);
+    void setPlc(bool enable, bool keep=true) PJSUA2_THROW(Error);
 
     /**
@@ -1448,5 +1449,5 @@
      *
      */
-    bool getPlc() const throw(Error);
+    bool getPlc() const PJSUA2_THROW(Error);
 
 private:
@@ -1465,5 +1466,5 @@
 
     void clearAudioDevList();
-    int getActiveDev(bool is_capture) const throw(Error);
+    int getActiveDev(bool is_capture) const PJSUA2_THROW(Error);
 
     friend class Endpoint;
@@ -1608,5 +1609,5 @@
     * Get information about the specified conference port.
     */
-    VidConfPortInfo getPortInfo() const throw(Error);
+    VidConfPortInfo getPortInfo() const PJSUA2_THROW(Error);
 
     /**
@@ -1618,5 +1619,5 @@
      * Get information from specific port id.
      */
-    static VidConfPortInfo getPortInfoFromId(int port_id) throw(Error);
+    static VidConfPortInfo getPortInfoFromId(int port_id) PJSUA2_THROW(Error);
 
     /**
@@ -1636,5 +1637,5 @@
     void startTransmit(const VideoMedia &sink, 
 		       const VideoMediaTransmitParam &param) const
-         throw(Error);
+         PJSUA2_THROW(Error);
 
     /**
@@ -1644,5 +1645,5 @@
      *
      */
-    void stopTransmit(const VideoMedia &sink) const throw(Error);
+    void stopTransmit(const VideoMedia &sink) const PJSUA2_THROW(Error);
 
     /**
@@ -1675,5 +1676,5 @@
      * param pool  The memory pool.
      */
-    void registerMediaPort(MediaPort port, pj_pool_t *pool) throw(Error);
+    void registerMediaPort(MediaPort port, pj_pool_t *pool) PJSUA2_THROW(Error);
 
     /**
@@ -1770,5 +1771,5 @@
      * @return			video window info.
      */
-    VideoWindowInfo getInfo() const throw(Error);
+    VideoWindowInfo getInfo() const PJSUA2_THROW(Error);
 
     /**
@@ -1778,5 +1779,5 @@
      * @return			Video media of this renderer window.
      */
-    VideoMedia getVideoMedia() throw(Error);
+    VideoMedia getVideoMedia() PJSUA2_THROW(Error);
     
     /**
@@ -1789,5 +1790,5 @@
      *
      */
-    void Show(bool show) throw(Error);
+    void Show(bool show) PJSUA2_THROW(Error);
     
     /**
@@ -1799,5 +1800,5 @@
      *
      */
-    void setPos(const MediaCoordinate &pos) throw(Error);
+    void setPos(const MediaCoordinate &pos) PJSUA2_THROW(Error);
     
     /**
@@ -1809,5 +1810,5 @@
      *
      */
-    void setSize(const MediaSize &size) throw(Error);
+    void setSize(const MediaSize &size) PJSUA2_THROW(Error);
     
     /**
@@ -1822,5 +1823,5 @@
      *				negative value for counter-clockwise rotation.
      */
-    void rotate(int angle) throw(Error);
+    void rotate(int angle) PJSUA2_THROW(Error);
 
     /**
@@ -1832,5 +1833,5 @@
      * @param win		The new output window.
      */
-    void setWindow(const VideoWindowHandle &win) throw(Error);
+    void setWindow(const VideoWindowHandle &win) PJSUA2_THROW(Error);
     
 private:
@@ -1921,10 +1922,10 @@
      * @param p		Video preview parameters. 
      */
-    void start(const VideoPreviewOpParam &param) throw(Error);
+    void start(const VideoPreviewOpParam &param) PJSUA2_THROW(Error);
 
     /**
      * Stop video preview.
      */
-    void stop() throw(Error);
+    void stop() PJSUA2_THROW(Error);
 
     /*
@@ -1938,5 +1939,5 @@
      * @return			Video media of the video capture device.
      */
-    VideoMedia getVideoMedia() throw(Error);
+    VideoMedia getVideoMedia() PJSUA2_THROW(Error);
 
 private:
@@ -2029,5 +2030,5 @@
      * that accepts video device index as its parameter.
      */
-    void refreshDevs() throw(Error);
+    void refreshDevs() PJSUA2_THROW(Error);
 
     /**
@@ -2045,5 +2046,5 @@
      * @return		The list of video device info
      */
-    VideoDevInfo getDevInfo(int dev_id) const throw(Error);
+    VideoDevInfo getDevInfo(int dev_id) const PJSUA2_THROW(Error);
 
     /**
@@ -2055,5 +2056,5 @@
      * @return		The list of video device info
      */
-    const VideoDevInfoVector &enumDev() throw(Error);
+    const VideoDevInfoVector &enumDev() PJSUA2_THROW(Error);
 
     /**
@@ -2062,5 +2063,5 @@
      * @return		The list of video device info
      */
-    VideoDevInfoVector2 enumDev2() const throw(Error);
+    VideoDevInfoVector2 enumDev2() const PJSUA2_THROW(Error);
 
     /**
@@ -2074,5 +2075,5 @@
      */
     int lookupDev(const string &drv_name,
-		  const string &dev_name) const throw(Error);
+		  const string &dev_name) const PJSUA2_THROW(Error);
 
     /**
@@ -2106,5 +2107,5 @@
     void setFormat(int dev_id, 
 		   const MediaFormatVideo &format, 
-		   bool keep) throw(Error);
+		   bool keep) PJSUA2_THROW(Error);
 
     /**
@@ -2123,5 +2124,5 @@
      * @return keep	The video format.
      */
-    MediaFormatVideo getFormat(int dev_id) const throw(Error);
+    MediaFormatVideo getFormat(int dev_id) const PJSUA2_THROW(Error);
 
     /**
@@ -2146,5 +2147,5 @@
     void setInputScale(int dev_id, 
 		       const MediaSize &scale, 
-		       bool keep) throw(Error);
+		       bool keep) PJSUA2_THROW(Error);
 
     /**
@@ -2163,5 +2164,5 @@
      * @return keep	The video format.
      */
-    MediaSize getInputScale(int dev_id) const throw(Error);
+    MediaSize getInputScale(int dev_id) const PJSUA2_THROW(Error);
 
     /**
@@ -2184,5 +2185,6 @@
      * 			future use.
      */
-    void setOutputWindowFlags(int dev_id, int flags, bool keep) throw(Error);
+    void setOutputWindowFlags(int dev_id, int flags, bool keep)
+			      PJSUA2_THROW(Error);
     
     /**
@@ -2201,5 +2203,5 @@
      * @return keep	The video format.
      */
-    int getOutputWindowFlags(int dev_id) throw(Error);
+    int getOutputWindowFlags(int dev_id) PJSUA2_THROW(Error);
 
     /**
@@ -2217,5 +2219,5 @@
      */
     void switchDev(int dev_id,
-		   const VideoSwitchParam &param) throw(Error);
+		   const VideoSwitchParam &param) PJSUA2_THROW(Error);
 
     /**
@@ -2250,5 +2252,5 @@
     void setCaptureOrient(pjmedia_vid_dev_index dev_id,
     			  pjmedia_orient orient,
-    			  bool keep=true) throw(Error);
+    			  bool keep=true) PJSUA2_THROW(Error);
 
 private:
Index: pjproject/trunk/pjsip/include/pjsua2/persistent.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/persistent.hpp	(revision 6025)
+++ pjproject/trunk/pjsip/include/pjsua2/persistent.hpp	(revision 6026)
@@ -69,5 +69,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error) = 0;
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error) = 0;
 
     /**
@@ -76,5 +76,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error) = 0;
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error) = 0;
 };
 
@@ -111,5 +111,6 @@
      * @param filename	The file name.
      */
-    virtual void   	loadFile(const string &filename) throw(Error) = 0;
+    virtual void   	loadFile(const string &filename)
+				 PJSUA2_THROW(Error) = 0;
 
     /**
@@ -118,5 +119,6 @@
      * @param input	The string.
      */
-    virtual void   	loadString(const string &input) throw(Error) = 0;
+    virtual void   	loadString(const string &input)
+				   PJSUA2_THROW(Error) = 0;
 
     /**
@@ -125,5 +127,6 @@
      * @param filename	The file name.
      */
-    virtual void   	saveFile(const string &filename) throw(Error) = 0;
+    virtual void   	saveFile(const string &filename)
+				 PJSUA2_THROW(Error) = 0;
 
     /**
@@ -132,5 +135,5 @@
      * @return		The string document.
      */
-    virtual string 	saveString() throw(Error) = 0;
+    virtual string 	saveString() PJSUA2_THROW(Error) = 0;
 
     /**
@@ -161,5 +164,5 @@
      * @return		The name of the next element .
      */
-    string		unreadName() const throw(Error);
+    string		unreadName() const PJSUA2_THROW(Error);
 
     /**
@@ -174,5 +177,6 @@
      * @return		The value.
      */
-    int			readInt(const string &name="") const throw(Error);
+    int			readInt(const string &name="") const
+				PJSUA2_THROW(Error);
 
     /**
@@ -187,5 +191,6 @@
      * @return		The value.
      */
-    float		readNumber(const string &name="") const throw(Error);
+    float		readNumber(const string &name="") const
+				   PJSUA2_THROW(Error);
 
     /**
@@ -200,5 +205,6 @@
      * @return		The value.
      */
-    bool		readBool(const string &name="") const throw(Error);
+    bool		readBool(const string &name="") const
+				 PJSUA2_THROW(Error);
 
     /**
@@ -213,5 +219,6 @@
      * @return		The value.
      */
-    string		readString(const string &name="") const throw(Error);
+    string		readString(const string &name="") const
+				   PJSUA2_THROW(Error);
 
     /**
@@ -227,5 +234,5 @@
      */
     StringVector	readStringVector(const string &name="") const
-					 throw(Error);
+					 PJSUA2_THROW(Error);
 
     /**
@@ -235,5 +242,6 @@
      * @param obj	The object to read.
      */
-    void		readObject(PersistentObject &obj) const throw(Error);
+    void		readObject(PersistentObject &obj) const
+				   PJSUA2_THROW(Error);
 
     /**
@@ -249,5 +257,5 @@
      */
     ContainerNode	readContainer(const string &name="") const
-				      throw(Error);
+				      PJSUA2_THROW(Error);
 
     /**
@@ -263,5 +271,5 @@
      */
     ContainerNode	readArray(const string &name="") const
-				  throw(Error);
+				  PJSUA2_THROW(Error);
 
     /**
@@ -272,5 +280,5 @@
      */
     void		writeNumber(const string &name,
-        		            float num) throw(Error);
+        		            float num) PJSUA2_THROW(Error);
 
     /**
@@ -281,5 +289,5 @@
      */
     void		writeInt(const string &name,
-        		         int num) throw(Error);
+        		         int num) PJSUA2_THROW(Error);
 
     /**
@@ -290,5 +298,5 @@
      */
     void		writeBool(const string &name,
-        		          bool value) throw(Error);
+        		          bool value) PJSUA2_THROW(Error);
 
     /**
@@ -299,5 +307,5 @@
      */
     void		writeString(const string &name,
-        		            const string &value) throw(Error);
+        		            const string &value) PJSUA2_THROW(Error);
 
     /**
@@ -309,5 +317,5 @@
     void		writeStringVector(const string &name,
         		                  const StringVector &arr)
-					  throw(Error);
+					  PJSUA2_THROW(Error);
 
     /**
@@ -317,5 +325,6 @@
      * @param obj	The object to be written
      */
-    void		writeObject(const PersistentObject &obj) throw(Error);
+    void		writeObject(const PersistentObject &obj)
+				    PJSUA2_THROW(Error);
 
     /**
@@ -328,5 +337,5 @@
      */
     ContainerNode 	writeNewContainer(const string &name)
-					  throw(Error);
+					  PJSUA2_THROW(Error);
 
     /**
@@ -339,5 +348,5 @@
      */
     ContainerNode 	writeNewArray(const string &name)
-				      throw(Error);
+				      PJSUA2_THROW(Error);
 };
 
@@ -423,5 +432,5 @@
      * Get the name of the next unread element.
      */
-    string		unreadName() const throw(Error);
+    string		unreadName() const PJSUA2_THROW(Error);
 
     /**
@@ -436,5 +445,6 @@
      * @return		The value.
      */
-    int			readInt(const string &name="") const throw(Error);
+    int			readInt(const string &name="") const
+				PJSUA2_THROW(Error);
 
     /**
@@ -449,5 +459,6 @@
      * @return		The value.
      */
-    float		readNumber(const string &name="") const throw(Error);
+    float		readNumber(const string &name="") const
+				   PJSUA2_THROW(Error);
 
     /**
@@ -462,5 +473,6 @@
      * @return		The value.
      */
-    bool		readBool(const string &name="") const throw(Error);
+    bool		readBool(const string &name="") const
+				 PJSUA2_THROW(Error);
 
     /**
@@ -475,5 +487,6 @@
      * @return		The value.
      */
-    string		readString(const string &name="") const throw(Error);
+    string		readString(const string &name="") const
+				   PJSUA2_THROW(Error);
 
     /**
@@ -489,5 +502,5 @@
      */
     StringVector	readStringVector(const string &name="") const
-					 throw(Error);
+					 PJSUA2_THROW(Error);
 
     /**
@@ -497,5 +510,6 @@
      * @param obj	The object to read.
      */
-    void		readObject(PersistentObject &obj) const throw(Error);
+    void		readObject(PersistentObject &obj) const
+				   PJSUA2_THROW(Error);
 
     /**
@@ -511,5 +525,5 @@
      */
     ContainerNode	readContainer(const string &name="") const
-				      throw(Error);
+				      PJSUA2_THROW(Error);
 
     /**
@@ -525,5 +539,5 @@
      */
     ContainerNode	readArray(const string &name="") const
-				  throw(Error);
+				  PJSUA2_THROW(Error);
 
     /**
@@ -534,5 +548,5 @@
      */
     void		writeNumber(const string &name,
-        		            float num) throw(Error);
+        		            float num) PJSUA2_THROW(Error);
 
     /**
@@ -543,5 +557,5 @@
      */
     void		writeInt(const string &name,
-        		         int num) throw(Error);
+        		         int num) PJSUA2_THROW(Error);
 
     /**
@@ -552,5 +566,5 @@
      */
     void		writeBool(const string &name,
-        		          bool value) throw(Error);
+        		          bool value) PJSUA2_THROW(Error);
 
     /**
@@ -561,5 +575,5 @@
      */
     void		writeString(const string &name,
-        		            const string &value) throw(Error);
+        		            const string &value) PJSUA2_THROW(Error);
 
     /**
@@ -571,5 +585,5 @@
     void		writeStringVector(const string &name,
         		                  const StringVector &arr)
-					  throw(Error);
+					  PJSUA2_THROW(Error);
 
     /**
@@ -579,5 +593,6 @@
      * @param obj	The object to be written
      */
-    void		writeObject(const PersistentObject &obj) throw(Error);
+    void		writeObject(const PersistentObject &obj)
+				    PJSUA2_THROW(Error);
 
     /**
@@ -590,5 +605,5 @@
      */
     ContainerNode 	writeNewContainer(const string &name)
-					  throw(Error);
+					  PJSUA2_THROW(Error);
 
     /**
@@ -601,5 +616,5 @@
      */
     ContainerNode 	writeNewArray(const string &name)
-				      throw(Error);
+				      PJSUA2_THROW(Error);
 
 public:
@@ -619,45 +634,45 @@
     bool		(*hasUnread)(const ContainerNode*);
     string		(*unreadName)(const ContainerNode*)
-				      throw(Error);
+				      PJSUA2_THROW(Error);
     float		(*readNumber)(const ContainerNode*,
 				      const string&)
-				      throw(Error);
+				      PJSUA2_THROW(Error);
     bool		(*readBool)(const ContainerNode*,
 				    const string&)
-				    throw(Error);
+				    PJSUA2_THROW(Error);
     string		(*readString)(const ContainerNode*,
 				      const string&)
-				      throw(Error);
+				      PJSUA2_THROW(Error);
     StringVector	(*readStringVector)(const ContainerNode*,
 					    const string&)
-					    throw(Error);
+					    PJSUA2_THROW(Error);
     ContainerNode	(*readContainer)(const ContainerNode*,
 					 const string &)
-					 throw(Error);
+					 PJSUA2_THROW(Error);
     ContainerNode	(*readArray)(const ContainerNode*,
 				     const string &)
-				     throw(Error);
+				     PJSUA2_THROW(Error);
     void		(*writeNumber)(ContainerNode*,
 				       const string &name,
         		               float num)
-        		               throw(Error);
+        		               PJSUA2_THROW(Error);
     void		(*writeBool)(ContainerNode*,
 				     const string &name,
         			     bool value)
-        			     throw(Error);
+        			     PJSUA2_THROW(Error);
     void		(*writeString)(ContainerNode*,
 				       const string &name,
         			       const string &value)
-        			       throw(Error);
+        			       PJSUA2_THROW(Error);
     void		(*writeStringVector)(ContainerNode*,
 					     const string &name,
         				     const StringVector &value)
-					     throw(Error);
+					     PJSUA2_THROW(Error);
     ContainerNode 	(*writeNewContainer)(ContainerNode*,
 					     const string &name)
-					     throw(Error);
+					     PJSUA2_THROW(Error);
     ContainerNode 	(*writeNewArray)(ContainerNode*,
 				         const string &name)
-					 throw(Error);
+					 PJSUA2_THROW(Error);
 };
 
Index: pjproject/trunk/pjsip/include/pjsua2/presence.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/presence.hpp	(revision 6025)
+++ pjproject/trunk/pjsip/include/pjsua2/presence.hpp	(revision 6026)
@@ -101,5 +101,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -108,5 +108,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -233,5 +233,5 @@
      * @param cfg		The buddy config.
      */
-    void create(Account &acc, const BuddyConfig &cfg) throw(Error);
+    void create(Account &acc, const BuddyConfig &cfg) PJSUA2_THROW(Error);
     
     /**
@@ -247,5 +247,5 @@
      * @return			Buddy info.
      */
-    BuddyInfo getInfo() const throw(Error);
+    BuddyInfo getInfo() const PJSUA2_THROW(Error);
 
     /**
@@ -257,5 +257,5 @@
      *				subscription.
      */
-    void subscribePresence(bool subscribe) throw(Error);
+    void subscribePresence(bool subscribe) PJSUA2_THROW(Error);
     
     /**
@@ -275,5 +275,5 @@
      * \a onBuddyState() callback.
      */
-     void updatePresence(void) throw(Error);
+     void updatePresence(void) PJSUA2_THROW(Error);
      
     /**
@@ -283,5 +283,6 @@
      * @param prm	Sending instant message parameter.
      */
-    void sendInstantMessage(const SendInstantMessageParam &prm) throw(Error);
+    void sendInstantMessage(const SendInstantMessageParam &prm)
+			    PJSUA2_THROW(Error);
 
     /**
@@ -291,5 +292,5 @@
      */
     void sendTypingIndication(const SendTypingIndicationParam &prm)
-	 throw(Error);
+	 PJSUA2_THROW(Error);
 
 public:
